# PSF-LoginServer - master - net.psforever.actors.net.LoginActor
PSF - LoginServer - master - net.psforever.actors.net.LoginActor
Keywords: PSF LoginServer master net.psforever.actors.net.LoginActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package net
  Definition Classes
    actors
- LoginActor
- MiddlewareActor
- SocketActor

c

net.psforever.actors.net

# LoginActor

###

#### class LoginActor extends Actor with MDCContextAware

Source
  LoginActor.scala

Linear Supertypes
MDCContextAware, ActorLogging, Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LoginActor
2. MDCContextAware
3. ActorLogging
4. Actor
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new LoginActor(middlewareActor: ActorRef[Command], connectionId: String, sessionId: Long)

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var accountIntermediary: ActorRef
5.  def accountLogin(username: String, password: String): Unit
6.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
7.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
8.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  def aroundPreStart(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
10.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      MDCContextAware → Actor
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  var canonicalHostName: String
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  implicit val context: ActorContext
    Definition Classes
      Actor
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def failWithError(error: String): Unit
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def generateToken(): String
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def handleGamePkt(pkt: PlanetSideGamePacket): Unit
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  var hostName: String
24.  var ipAddress: String
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  var leftRef: ActorRef
27.  def log: LoggingAdapter
    Definition Classes
      ActorLogging
28.  def loginAccountFailureResponse(username: String, newToken: String): Unit
29.  def loginFailureResponse(username: String, newToken: String): Unit
30.  def loginPwdFailureResponse(username: String, newToken: String): Unit
31.  def loginSuccessfulResponse(username: String, newToken: String): Unit
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  var port: Int
36.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
37.  def postStop(): Unit
    Definition Classes
      LoginActor → Actor
38.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
39.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
40.  val publicAddress: InetSocketAddress
41.  def receive: Receive
    Definition Classes
      LoginActor → Actor
42.  var rightRef: ActorRef
43.  implicit final val self: ActorRef
    Definition Classes
      Actor
44.  final def sender(): ActorRef
    Definition Classes
      Actor
45.  val serverName: String
46.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
47.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
48.  def toString(): String
    Definition Classes
      AnyRef → Any
49.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
50.  def updateServerList(): Unit
51.  var updateServerListTask: Cancellable
52.  val usernameRegex: Regex
53.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
54.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
55.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from MDCContextAware

### Inherited from ActorLogging

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped